Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create memory

POST/workspaces/{organizationId}/memory
Path parameters
organizationIdstringrequired
Request body
application/json
entityTypestringrequired
min length 1
entityIdstringrequired
min length 1
kindstringrequired
min length 1
factstringrequired
min length 1
validUntilstring
sourceAgentSlugstring
Responses
200

Memory written

idstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST '/workspaces/string/memory' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "entityType": "string",
  "entityId": "string",
  "kind": "string",
  "fact": "string",
  "validUntil": "string",
  "sourceAgentSlug": "string"
}'
Response
{
  "id": "string"
}

Was this page helpful?